Question: Galaxy Start it up error: .venv/bin/activate: No such file or directory
0
gravatar for s4251484
10 weeks ago by
s42514840
s42514840 wrote:

Hi, i'm a galaxy beginner

Got this error while running the start up command:

$ sh run.sh

Creating Python virtual environment for Galaxy: .venv

To avoid this, use the --no-create-venv flag or set $GALAXY_VIRTUAL_ENV to an
existing environment before starting Galaxy.

New python executable in C:\Users\uqcong7\AppData\Local\Programs\Git\galaxy\.venv\Scripts\python.exe

Installing setuptools, pip, wheel...done.

Running virtualenv with interpreter C:/Python27/python.exe

Activating virtualenv at .venv

./scripts/common_startup_functions.sh: line 100: .venv/bin/activate: No such file or directory

I then clicked into the .venv folder and found the folder containing "activate" is Scripts instead of bin

Hence i went to edit ./scripts/common_startup_functions.sh: line 100: .venv/Scripts/activate

run sh again

then got this error

$ sh run.sh
Creating Python virtual environment for Galaxy: .venv

To avoid this, use the --no-create-venv flag or set $GALAXY_VIRTUAL_ENV to an
existing environment before starting Galaxy.

New python executable in C:\Users\uqcong7\AppData\Local\Programs\Git\galaxy\.venv\Scripts\python.exe

Installing setuptools, pip, wheel...done.

Running virtualenv with interpreter C:/Python27/python.exe

Activating virtualenv at .venv

Requirement already satisfied: pip>=8.1 in c:\users\uqcong7\appdata\local\programs\git\galaxy\.venv\lib\site-packages (18.0)

Invalid requirement: 'lib/galaxy/dependencies/pinned-requirements.txt'

Traceback (most recent call last):

  File "c:\users\uqcong7\appdata\local\programs\git\galaxy\.venv\lib\site-packages\pip\_internal\req\req_install.py", line 253, in from_line
    req = Requirement(req)

  File "c:\users\uqcong7\appdata\local\programs\git\galaxy\.venv\lib\site-packages\pip\_vendor\packaging\requirements.py", line 97, in __init__
    requirement_string[e.loc:e.loc + 8]))

InvalidRequirement: Invalid requirement, parse error at "u'/galaxy/'"

PLEASE HELP >.<

ADD COMMENTlink modified 10 weeks ago by Jennifer Hillman Jackson25k • written 10 weeks ago by s42514840
0
gravatar for Jennifer Hillman Jackson
10 weeks ago by
United States
Jennifer Hillman Jackson25k wrote:

Hello,

Running Galaxy on Windows is not recommended. You could try using the Docker version instead.

Gitter conversation with the developers. If you run into problems with the Docker version, this is where it woud be best to follow up and troubleshoot: https://gitter.im/galaxyproject/Lobby?at=5b61d0e83e264c713858b594

Thanks! Jen, Galaxy team

ADD COMMENTlink modified 10 weeks ago • written 10 weeks ago by Jennifer Hillman Jackson25k
Please log in to add an answer.

Help
Access

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.
Powered by Biostar version 16.09
Traffic: 135 users visited in the last hour